Bug 113538 - Bundle and use open source Hebrew fonts by default
Summary: Bundle and use open source Hebrew fonts by default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:6....
Keywords:
Depends on:
Blocks: RTL-Hebrew Fonts-Locale 103080
  Show dependency treegraph
 
Reported: 2017-10-30 21:54 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-30 14:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
mac OS X hebrew fonts (64.27 KB, application/pdf)
2017-11-19 14:24 UTC, Yousuf Philips (jay) (retired)
Details
windows hebrew fonts (190.94 KB, application/pdf)
2017-11-19 14:27 UTC, Yousuf Philips (jay) (retired)
Details
LO's font order for default hebrew font (145.53 KB, application/pdf)
2017-11-19 14:33 UTC, Yousuf Philips (jay) (retired)
Details
MS vs Libre vs CLM and Web Fonts and David vs Alef (122.65 KB, application/pdf)
2017-11-19 14:45 UTC, Yousuf Philips (jay) (retired)
Details
Microsoft vs Apple vs Libre/CLM (115.87 KB, application/pdf)
2017-11-20 04:13 UTC, Yousuf Philips (jay) (retired)
Details
Hebrew Fonts Currently in LibreOffice (70.80 KB, application/pdf)
2017-11-21 22:19 UTC, Yousuf Philips (jay) (retired)
Details
Hebrew Fonts Currently in LibreOffice (updated) (72.96 KB, application/pdf)
2017-11-21 22:56 UTC, Yousuf Philips (jay) (retired)
Details
Some header/body font combinations (David CLM, Libre, Narkisim) (39.12 KB, application/pdf)
2017-11-22 20:54 UTC, Eyal Rozenberg
Details
Some header/body font combinations (49.21 KB, application/pdf)
2017-11-22 21:05 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-30 21:54:57 UTC
LibreOffice currently prefers the open source hebrew fonts[1] when they are installed, but if it doesnt ship some by default, this wont improve the interoperability of documents. So similar to LO bundling open source fonts like Liberation and DejaVu fonts to ensure interoperability of latin-based documents, we should bundle a few hebrew fonts.

We currently prefer the open source Culmus[2] font collection for hebrew text, so we should bundle a few of them, which includes

* David CLM - Recommended by Eyal from hebrew CTL team to be used as default
* Nachlieli CLM - The current number 1 preferred hebrew font to default to in VCL
* Miriam CLM - The current number 2 preferred hebrew font to default to in VCL
* Miriam Mono CLM - The current last preferred hebrew font to default to in VCL and the only available monospace hebrew font

[1] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu#175
[2] http://culmus.sourceforge.net/
Comment 1 Shai Berger 2017-10-30 22:04:51 UTC
We should also consider Alef from http://alef.hagilda.com/ -- definitely for bundling, perhaps even for a default. It is modern and beautiful, but not very widespread, so it can create a unique "LO look" that we'd be proud of.
Comment 2 Eyal Rozenberg 2017-10-30 23:33:40 UTC
To clarify and expand my position: I believe that we need to make the following choices regarding the default Hebrew font:

1. Should the choice of serif vs sans-serif be adopted from the choice w.r.t. Latin fonts, or should it be made independently for Hebrew?
2. Assuming it's independent - is it better for Hebrew to have  serif or as sans-serif font?
3. Given the choice of serif-vs-sans-serif, which is the best free Hebrew font to use as default?

My position is:

1. Leaning towards adopting the same choice as for Latin, but not a strong opinion.
2. Serif all the way! Documents should be targeted at print by default.
3. If it's serif: David CLM, definitely ; if it's sans-serif: Noto Sans, or maybe Arimo, or Cousine (no strong preference)

See a long list of free-as-in-libre fonts here: http://opensiddur.org/help/fonts/ (not just Culmus)
Comment 3 Yousuf Philips (jay) (retired) 2017-10-31 09:55:42 UTC
Google Fonts provides a list as well and is sorted by popularity
https://fonts.google.com/?subset=hebrew
Comment 4 Eyal Rozenberg 2017-10-31 17:52:01 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> Google Fonts provides a list as well and is sorted by popularity
> https://fonts.google.com/?subset=hebrew

The top fonts there are very nice choices if we go with sans-serif. 

Remember, though, that a web font and a writer document font are different things, so that's not the kind of popularity we would judge by. To make this more concrete: In Israel, court documents use David; most (?) central government and municipal agencies use David; legislation is set in some kind of Hadasah; books and newspapers mostly in Frank Ruehl. Other fonts are common in religious texts but let's not get into that.
Comment 5 Eyal Rozenberg 2017-10-31 20:09:43 UTC
(In reply to Eyal Rozenberg from comment #4)
> court documents use David;

Let me elaborate: Parties' arguments and some court instance rulings use David. At the supreme court we see Frank Ruehl as the body font and David for some titles. Miriam is used for legal references and some subtitles. (And the court uses the Microsoft versions, exclusively I think.)
Comment 6 Shai Berger 2017-11-01 18:31:55 UTC
I disagree about framing the choice as "serif" vs. "sans serif" -- I think we should be framing it as "screen fonts" vs. "print fonts". And I believe it's not a technical question -- a user can change *their* default easily enough -- it's a marketing question.

IMO we need to make users feel as comfortable as possible when they first interact with the product. This implies a preference for screen fonts. I think if we choose a font that is less-well-suited to the screen, even if looks better in print, many of our first-time-users will simply not stay our users long enough to print.
Comment 7 Eyal Rozenberg 2017-11-01 20:15:19 UTC
(In reply to Shai Berger from comment #6)
You could indeed cast the question as "screen vs print", but it's kind of splitting hairs since, typically, serif fonts look better in print and sans serif look better on screen.

But be the question put as it may, I don't see a reason for this choice to be different for Hebrew than in is for English - where the default is Liberation (serif) for Writer, and Liberation Sans for Calc. Your premise - that people would rather like a screen-oriented font, which essentially means a sans-serif font - could have applied to English/Latin languages as well. But the accepted wisdom that users do expect to use Writer with a print-oriented font.

Of course, it is important to choose a font that looks well enough on screen as well, rather than just in print.

PS 1: Microsoft had, for many years, used a Serif font as the default in MS Word (Times New Roman), then switched to the interesting Calibri, a sans serif font (and Cambria, a serif font, for headings).

PS 2: I have to object to the use of the term "marketing", as LO is gratis and libre, so it's never traded and thus not marketed.
Comment 8 Shai Berger 2017-11-02 07:33:25 UTC
(In reply to Eyal Rozenberg from comment #7)
> (In reply to Shai Berger from comment #6)
> You could indeed cast the question as "screen vs print", but it's kind of
> splitting hairs since, typically, serif fonts look better in print and sans
> serif look better on screen.

The point is to cast the question not in terms of font design, but in terms of user experience.

> 
> But be the question put as it may, I don't see a reason for this choice to
> be different for Hebrew than in is for English

According to [1] there are 120 million active users of LibreOffice worldwide (2016). According to [2] there are 2-3 billion PCs in the world. This puts LO's market share at 4%-5%. In Israel, as far as I'm aware, it is at least an order of magnitude lower (could find no data, which to me indicates that the userbase is insignificant). So we need to work harder on making the product likeable.

> [...] the accepted wisdom [is] that users do expect to use Writer with a
> print-oriented font.

My point is: We (the Hebrew community) need to put much greater emphasis on first-time users than the world community does.

> 
> PS 1: Microsoft had, for many years, used a Serif font as the default in MS
> Word (Times New Roman), then switched to the interesting Calibri, a sans
> serif font (and Cambria, a serif font, for headings).
> 

Microsoft's position with respect to convincing-people-to-use-their-product is so different from ours, that their considerations are all but irrelevant.

> PS 2: I have to object to the use of the term "marketing", as LO is gratis
> and libre, so it's never traded and thus not marketed.

Splitting hairs... if you have a better term for "convincing people to spend time and effort on your product", I'll humor you.

[1] https://www.collaboraoffice.com/community-en/updated-libreoffice-growth-infographic-2016/
[2] https://en.wikipedia.org/wiki/Personal_computer#Market_share
Comment 9 Eyal Rozenberg 2017-11-02 09:23:01 UTC
(In reply to Shai Berger from comment #8)
> In Israel, as far as I'm aware, it is at least an order of magnitude lower
> (could find no data, which to me indicates that the userbase is insignificant).

The fact that there are no statistics on LO usage does not suggest the userbase is insignificant. But I agree that the LO usage share is almost certainly lower for Hebrew-speakers than for other languages. But the share is pretty small also in other countries.

> My point is: We (the Hebrew community) need to put much greater emphasis on
> first-time users than the world community does.

I don't think your conclusion follows from what you've presented, because LO's user share is very small for other languages as well, meaning that they too must emphasize attractiveness to new users. Which brings me to my second point: You're assuming that users' experience with a Word Processor is essentially writing on screen, but in fact their experience involves writing, printing and using the printed document, with the latter being the salient parts of the experience. For this reason it's important, IMO, to choose a font family which looks well in print while being reasonably pleasant on screen; and that's the case both for English and for Hebrew.
Comment 10 Yousuf Philips (jay) (retired) 2017-11-19 14:24:04 UTC
Created attachment 137853 [details]
mac OS X hebrew fonts
Comment 11 Yousuf Philips (jay) (retired) 2017-11-19 14:27:30 UTC
Created attachment 137854 [details]
windows hebrew fonts
Comment 12 Yousuf Philips (jay) (retired) 2017-11-19 14:33:14 UTC
Created attachment 137855 [details]
LO's font order for default hebrew font

white background - open source fonts that could be shippable
grey background  - open source fonts that cant be shipped as type 1 fonts are not supported by harfbuzz introduced in LO 5.3
red background   - proprietary microsoft fonts
Comment 13 Yousuf Philips (jay) (retired) 2017-11-19 14:45:09 UTC
Created attachment 137856 [details]
MS vs Libre vs CLM and Web Fonts and David vs Alef

* comparison of MS david, frank ruehl, and miriam with open source libre variants and open source CLM variants

* comparison of tree hebrew webfonts - Alef, Carmela, Carmelit

* comparison of ms, libre and CLM david variants with Alef
Comment 14 Yousuf Philips (jay) (retired) 2017-11-20 04:13:52 UTC
Created attachment 137864 [details]
Microsoft vs Apple vs Libre/CLM

Comparison of David, Frank Ruehl, Arial and Arial Unicode variants found in Windows, Mac OS, and closest open source versions from CLM or Libre.
Comment 15 Yousuf Philips (jay) (retired) 2017-11-21 20:03:08 UTC
So i'll be tackling the issue of what we should bundle in this comment.

As can be seen in attachment 137864 [details], Windows and OS X provide their users with a David-variant (David, Raanana), a Frank Ruehl-variant (FrankRuehl, New Peninim MT), and an Arial-variant (Arial, Arial Hebrew).

Windows (attachment 137853 [details]) and OS X (attachment 137854 [details]) also provide their users with a Lucida variant (Lucida Sans Unicode, Lucida Grande), while Windows also provides its users with a number of additional sans and serif fonts, but also 3 slim styled fonts (Miriam, Levenim MT, MS Sans Serif) and 2 mono styled fonts (Miriam Fixed, Courier New).

So in order to help these users to use open source hebrew fonts, as well as ensure interoperability of documents created on linux with open source hebrew fonts, we should bundle

* 2 David variants        (serif) - David Libre, David CLM
* 2 Frank Ruehl variants  (serif) - Frank Ruhl Hofshi, Frank Ruehl CLM
* 2 Miriam variants        (slim) - Miriam Libre, Miriam CLM
* 1 mono-space font        (mono) - Miriam Mono CLM
* 3 recommended sans fonts (sans) - Rubik Libre, Nachlieli CLM, Alef

I gathered together the OFL licensed Libre fonts from their github pages and put them together, though i limited them only to the 4 basic styles (regular, italic, bold, bold italic).
https://drive.google.com/file/d/1xbnQ_rxEHCkceBYkoj-O3Bq5Pfycr_DV/view?usp=sharing

The GPL licensed Culmus (CLM) version 0.131 will be pulled from website.
https://sourceforge.net/projects/culmus/files/culmus/0.131/

The OFL licensed Alef version 1.001 pulled from its website but i trimmed it down to just the essentials.
https://drive.google.com/file/d/1_RflIvZYO0rRuS6eg4mvNLHt4Gsg9KXI/view?usp=sharing
Comment 16 Yousuf Philips (jay) (retired) 2017-11-21 21:04:49 UTC
(In reply to Eyal Rozenberg from comment #2)
> 1. Should the choice of serif vs sans-serif be adopted from the choice
> w.r.t. Latin fonts, or should it be made independently for Hebrew?

It should be chosen based on what is best in Hebrew. We are currently looking into what is best in latin presently (bug 113941).

> 2. Assuming it's independent - is it better for Hebrew to have serif or as
> sans-serif font?

Well this choice has to be decide for both headings and text, similar to how latin uses sans for headings and serif for text, and also what the best font for headings and text should be.

> 3. Given the choice of serif-vs-sans-serif, which is the best free Hebrew
> font to use as default?

The choice of what the best font should be needs to be made both for serif and sans fonts, as even if we went with serif for writer, sans is used in calc and impress. Also the choice needs to be made in what is the best order for serif and sans fonts depending on what fonts the user has installed.

> 3. If it's serif: David CLM, definitely ; if it's sans-serif: Noto Sans, or
> maybe Arimo, or Cousine (no strong preference)

So is this preference of David CLM for both text and headings? Do you still prefer David CLM over David Libre?

So you prefer Noto Sans over sans based hebrew fonts Nachlieli CLM and Rubik Libre? If you didnt already know, Liberation Sans is a fork of Arimo and Liberation Mono is a fork of Cousine.

(In reply to Eyal Rozenberg from comment #7)
> PS 1: Microsoft had, for many years, used a Serif font as the default in MS
> Word (Times New Roman), then switched to the interesting Calibri, a sans
> serif font (and Cambria, a serif font, for headings).

Starting with Word 2013, it uses Calibri for text and Calibri Light for headings.
Comment 17 Yousuf Philips (jay) (retired) 2017-11-21 22:19:55 UTC
Created attachment 137900 [details]
Hebrew Fonts Currently in LibreOffice
Comment 18 Eyal Rozenberg 2017-11-21 22:27:36 UTC
(In reply to Yousuf Philips (jay) from comment #15)
> we should bundle
> 
> * 2 David variants        (serif) - David Libre, David CLM
> * 2 Frank Ruehl variants  (serif) - Frank Ruhl Hofshi, Frank Ruehl CLM
> * 2 Miriam variants        (slim) - Miriam Libre, Miriam CLM
> * 1 mono-space font        (mono) - Miriam Mono CLM
> * 3 recommended sans fonts (sans) - Rubik Libre, Nachlieli CLM, Alef

That's a decent combination, in my opinion. A more space-conservative one which I also think would be ok is:

* 1 David variant         (serif) - David CLM
* 1 Frank Ruehl variant   (serif) - Frank Ruehl CLM
* 1 Miriam variants        (slim) - Miriam CLM
* 1 mono-space font        (mono) - Miriam Mono CLM
* 3 recommended sans fonts (sans) - Rubik Libre, Nachlieli CLM, Alef

Also (in case I haven't said this before already, which I may have) it would be nice if there could be a detection of whether the CLM fonts are available, and only download/install an extra version when they aren't. In fact, in order to simplify this, it might not be a bad idea to just depend on the Culmus package when packaging for various OS distros and only bundle them in a standalone download.

> I limited them only to the 4 basic styles (regular, italic, bold, bold italic).

I'm very much against this. We should foster finer use of weights and not cripple the fonts by not bundling their full weight spectrum.
Comment 19 Eyal Rozenberg 2017-11-21 22:54:28 UTC
(In reply to Yousuf Philips (jay) from comment #16)
> (In reply to Eyal Rozenberg from comment #2)
> It should be chosen based on what is best in Hebrew. We are currently
> looking into what is best in latin presently (bug 113941).

You're "begging the question" (petitio principii) - assuming that's it may be different in Hebrew than it is in Latin. Why?

> > 2. Assuming it's independent - is it better for Hebrew to have serif or as
> > sans-serif font?
> 
> Well this choice has to be decide for both headings and text, similar to how
> latin uses sans for headings and serif for text, and also what the best font
> for headings and text should be.

Actually, choosing a nice font for headings may be different than choosing one for running text. The bundling choices focus on the former. Many of them - both serif and sans serif - are totally out of the question IMHO as heading fonts (Miriam, Frank Ruehl). On the other hand, some work both in both capacities - even against each other, e.g. Alef/Alef or David/David (when you play with the sizes).

> The choice of what the best font should be needs to be made both for serif
> and sans fonts, as even if we went with serif for writer, sans is used in
> calc and impress. Also the choice needs to be made in what is the best order
> for serif and sans fonts depending on what fonts the user has installed.

That's true. A secondary question, though, if the order can include both serif and sans serif fonts (e.g. "Try Miriam CLM if David CLM is unavailable").

> So is this preference of David CLM for both text and headings? Do you still
> prefer David CLM over David Libre?

I definitely prefer David CLM to David Libre. While some may say I've been "pre-conditioned" by using MS David for years, I still find David Libre way off with respect to spacing. It feel a bit like monospace with actually being monospaced.

About headings - like I said above, I haven't actually given my preference for headings. And I think it would also depend on what's the running text font. I often use David/David myself (and perhaps one could play with the weights a bit). Another combination I like, which we can't use, is Narkisim with David - where either one works (in my perception) as a header font for the other as body font. Narkisim is here: https://www.microsoft.com/typography/fonts/family.aspx?FID=252

I'm not sure what I think about combining David with Alef, though. Alef is kind of kind of a "look how clever and innovative I am" kind of a font, and David is more conservative looking (conservative in the 20th century sense, not older-Jewish-tradition sense).

> So you prefer Noto Sans over sans based hebrew fonts Nachlieli CLM and Rubik
> Libre? If you didnt already know, Liberation Sans is a fork of Arimo and
> Liberation Mono is a fork of Cousine.

Not really. I kind of take that back, and it wasn't a strong preference anyway. Nachlieli is just fine. Liberation Sans too (in Hebrew, it reminds me of MS Arial actually - possibly not a bad thing). Rubik feels a bit weird as a default but I could live with it.

> Starting with Word 2013, it uses Calibri for text and Calibri Light for
> headings.

Well, it seems they're not too sure about this either then :-)
Comment 20 Yousuf Philips (jay) (retired) 2017-11-21 22:56:00 UTC
Created attachment 137901 [details]
Hebrew Fonts Currently in LibreOffice (updated)
Comment 21 Yousuf Philips (jay) (retired) 2017-11-22 13:12:37 UTC
(In reply to Eyal Rozenberg from comment #19)
> You're "begging the question" (petitio principii) - assuming that's it may
> be different in Hebrew than it is in Latin. Why?

Didnt follow.

> Actually, choosing a nice font for headings may be different than choosing
> one for running text. The bundling choices focus on the former. Many of them
> - both serif and sans serif - are totally out of the question IMHO as
> heading fonts (Miriam, Frank Ruehl). On the other hand, some work both in
> both capacities - even against each other, e.g. Alef/Alef or David/David
> (when you play with the sizes).

I'm assuming we'll be going with a David/David combination based on what you stated in comment 4, but it would be good for the hebrew team to come to a final decision on it.

> That's true. A secondary question, though, if the order can include both
> serif and sans serif fonts (e.g. "Try Miriam CLM if David CLM is
> unavailable").

Yes the order can include both sans and serif if required. This is the order that i've put into my patch.[1]

Serif: David Libre; David CLM; Liberation Serif; David; Raanana;
Sans: Nachlieli CLM; Liberation Sans; Arial; Arial Hebrew;

> I definitely prefer David CLM to David Libre. While some may say I've been
> "pre-conditioned" by using MS David for years, I still find David Libre way
> off with respect to spacing. It feel a bit like monospace with actually
> being monospaced.

I tested the character widths and spacing in MS David vs David CLM and MS David is quite cramped comparatively, while David CLM and David Libre have close to identical character widths and spacing. If you are referring to the line spacing, than David Libre is closer in line spacing than David CLM to MS David (see attachment 137856 [details]). If you were using to MS David in MS Office, you have to remember that MS Word has 1.15 line spacing in Word 2007/2010 and 1.08 line spacing in Word 2013+, while LO has single line spacing, so line spacing shouldn't really be a deciding factor of what David-variant should be used.

> About headings - like I said above, I haven't actually given my preference
> for headings. And I think it would also depend on what's the running text
> font. I often use David/David myself (and perhaps one could play with the
> weights a bit). Another combination I like, which we can't use, is Narkisim
> with David - where either one works (in my perception) as a header font for
> the other as body font. Narkisim is here:
> https://www.microsoft.com/typography/fonts/family.aspx?FID=252

About playing with the weights, David CLM only has Medium and Bold, while David Libre has Regular, Medium, and Bold, so we dont have much to work with for David.

> I'm not sure what I think about combining David with Alef, though. Alef is
> kind of kind of a "look how clever and innovative I am" kind of a font, and
> David is more conservative looking (conservative in the 20th century sense,
> not older-Jewish-tradition sense).

Assume you mean the Alef would be the heading font, which isnt really out of place as we do use a sans font for headings presently - Nachlieli CLM.

> Not really. I kind of take that back, and it wasn't a strong preference
> anyway. Nachlieli is just fine. Liberation Sans too (in Hebrew, it reminds
> me of MS Arial actually - possibly not a bad thing). Rubik feels a bit weird
> as a default but I could live with it.

So is your order preference of sans is Nachlieli, Liberation Sans, Rubik?

> Well, it seems they're not too sure about this either then :-)

Well you cant just stay still, you have to innovate over time based on trends and user feedback. :D

[1] https://gerrit.libreoffice.org/#/c/45065/
Comment 22 Yousuf Philips (jay) (retired) 2017-11-22 17:23:29 UTC
(In reply to Eyal Rozenberg from comment #18)
> That's a decent combination, in my opinion. A more space-conservative one
> which I also think would be ok is:
> 
> * 1 David variant         (serif) - David CLM
> * 1 Frank Ruehl variant   (serif) - Frank Ruehl CLM
> * 1 Miriam variants        (slim) - Miriam CLM
> * 1 mono-space font        (mono) - Miriam Mono CLM
> * 3 recommended sans fonts (sans) - Rubik Libre, Nachlieli CLM, Alef

David Libre, Frank Ruhl Hofshi, and Miriam Libre only take up 0.5Mb uncompressed, so its not really a problem space-wise, and with 2 variants of each, users have more choice, more freedom, and users will be able to tell us which of each they prefer in a later poll.

> Also (in case I haven't said this before already, which I may have) it would
> be nice if there could be a detection of whether the CLM fonts are
> available, and only download/install an extra version when they aren't. In
> fact, in order to simplify this, it might not be a bad idea to just depend
> on the Culmus package when packaging for various OS distros and only bundle
> them in a standalone download.

Hopefully the issue of missing fonts in documents will be solved by my proposal.

https://design.blog.documentfoundation.org/2016/10/21/dealing-with-missing-fonts/

The idea of providing a standalone font download bundle is found in bug 113496.

> I'm very much against this. We should foster finer use of weights and not
> cripple the fonts by not bundling their full weight spectrum.

If all or most of the bundled fonts had the full weight spectrum and we could correctly handle them in the UI (bug 72944) it would definitely be beneficial to have them, but unfortunately that isnt the case today and wouldnt consider not including all weights to be crippling the fonts.

For full disclosure i didn't include the Light, Medium and Black weights of Rubik and Frank Ruhl Hofshi and the Medium weight from David Libre.
Comment 23 Yousuf Philips (jay) (retired) 2017-11-22 17:32:15 UTC
So the font bundles are now in the external sources repository and i've submitted a patch to get them into the builds.

https://gerrit.libreoffice.org/45101
Comment 24 Eyal Rozenberg 2017-11-22 20:54:32 UTC
Created attachment 137924 [details]
Some header/body font combinations (David CLM, Libre, Narkisim)

Just to give a feel of what I've been taking about. For the David Libre spacing issue, just look at the "Ze Dai" (זה די) sequence. Notice how the inter-letter spacing between the Daled and Yod is essentially the same as the inter-word spacing between the Yod and the following Vav.

(note some of the spacing may be messed up since I'm using LO 5.4 with the spacing issue.)
Comment 25 Eyal Rozenberg 2017-11-22 21:05:44 UTC
Created attachment 137926 [details]
Some header/body font combinations
Comment 26 Eyal Rozenberg 2017-11-22 21:06:47 UTC
(In reply to Yousuf Philips (jay) from comment #21)
> (In reply to Eyal Rozenberg from comment #19)
> > You're "begging the question" (petitio principii) - assuming that's it may
> > be different in Hebrew than it is in Latin. Why?
> 
> Didnt follow.

So, a decision is being made about Latin. Why? That is, why isn't it a decision about languages? Why should there be a per-language decision? Maybe there are good reasons for it, maybe there aren't. If there are - what are they?

> Yes the order can include both sans and serif if required. This is the order
> that i've put into my patch.[1]
> 
> Serif: David Libre; David CLM; Liberation Serif; David; Raanana;
> Sans: Nachlieli CLM; Liberation Sans; Arial; Arial Hebrew;
>

First - I'm against the David Libre as the default (see below), but regardless, I'm personally against mixing serifs and non-serifs in font preference lists. On the web you usually see something like "super special sans serif fonts; kind of special sans serif font; helvetica; sans serif" or the same thing but with all serif fonts. I'd rather have a less-pleasing choice for a default font as a substitution than switch from serif to sans serif or back.
 
> I tested the character widths and spacing in MS David vs David CLM and MS
> David is quite cramped comparatively, while David CLM and David Libre have
> close to identical character widths and spacing. 

Ah, but the supposed "cramping" is what makes it a great running text font. The close-to-identical character widths and spacing are a _problem_, not a benefit: They prevent your eyes from properly capturing entire words and disrupt the reading sequence, making it a sequence of recognizing individual glyphs and putting them together. For this reason alone I would not at all recommend David Libre as the default; I'd even take a nice sans serif in its stead. I'd even insist that whatever I got in David Libre be changed to something else before reading it (if I can).

> If you are referring to the line spacing

No, the line spacing is less the issue. 

> Assume you mean the Alef would be the heading font, which isnt really out of
> place as we do use a sans font for headings presently - Nachlieli CLM.

Nachlieli doesn't give off the same vibe as Alef. It's much less presumptuous. To take what I mean to the extreme, suppose you were using some kind of Times for the body and MS Comic Sans for the headings. It's just... doesn't fit. Again, I'm taking this to the extreme. See my last attachment.

> So is your order preference of sans is Nachlieli, Liberation Sans, Rubik?

I guess.

(In reply to Yousuf Philips (jay) from comment #22)
> David Libre, Frank Ruhl Hofshi, and Miriam Libre only take up 0.5Mb
> uncompressed, so its not really a problem space-wise, and with 2 variants of
> each, users have more choice, more freedom, and users will be able to tell
> us which of each they prefer in a later poll.

I don't mind the extra fonts in the bundle - as long as you keep all the weights in.

> > I'm very much against this. We should foster finer use of weights and not
> > cripple the fonts by not bundling their full weight spectrum.
> 
> If... we could correctly handle them in the UI (bug 72944)...

How about if I opened a bug about adding the extra weights in after 72944 is resolved?
Comment 27 Yousuf Philips (jay) (retired) 2017-11-23 01:50:20 UTC
(In reply to Eyal Rozenberg from comment #24)
> Just to give a feel of what I've been taking about. For the David Libre
> spacing issue, just look at the "Ze Dai" (זה די) sequence. Notice how the
> inter-letter spacing between the Daled and Yod is essentially the same as
> the inter-word spacing between the Yod and the following Vav.

Okay i see it. So i guess this is one of the spacing issues you dont like about David Libre.

(In reply to Eyal Rozenberg from comment #25)
> Created attachment 137926 [details]
> Some header/body font combinations

Nice combinations, though not sure why you included Narkisim in the mix if it isnt an open source font. Hope others in the hebrew team will give their opinions what combinations they like.

(In reply to Eyal Rozenberg from comment #26)
> So, a decision is being made about Latin. Why? That is, why isn't it a
> decision about languages? Why should there be a per-language decision? Maybe
> there are good reasons for it, maybe there aren't. If there are - what are
> they?

It is being discussed about Latin languages as a whole and individual Latin languages can chose to adopt it or not. Every language should have the independence to decide this based on what is common/best for that individual language, just like how we are doing so here for Hebrew.

> First - I'm against the David Libre as the default (see below), but

The hebrew team, and possibly with input from the hebrew community, has to decide which of the two David fonts they prefer to be default. My patch is awaiting a final decision on it, as i'm indifferent about it.

> regardless, I'm personally against mixing serifs and non-serifs in font
> preference lists. On the web you usually see something like "super special
> sans serif fonts; kind of special sans serif font; helvetica; sans serif" or
> the same thing but with all serif fonts. I'd rather have a less-pleasing
> choice for a default font as a substitution than switch from serif to sans
> serif or back.

Didnt quite follow you here as i listed serif fonts separately from sans font and was simply showing the sort order of what LO would pick based on what fonts are on a users system.

> Ah, but the supposed "cramping" is what makes it a great running text font.
> The close-to-identical character widths and spacing are a _problem_, not a
> benefit: They prevent your eyes from properly capturing entire words and
> disrupt the reading sequence, making it a sequence of recognizing individual
> glyphs and putting them together. For this reason alone I would not at all
> recommend David Libre as the default; I'd even take a nice sans serif in its
> stead. I'd even insist that whatever I got in David Libre be changed to
> something else before reading it (if I can).

So you prefer the crammed look, which David Libre has less of compared to David CLM, got it.

> Nachlieli doesn't give off the same vibe as Alef. It's much less
> presumptuous. To take what I mean to the extreme, suppose you were using
> some kind of Times for the body and MS Comic Sans for the headings. It's
> just... doesn't fit. Again, I'm taking this to the extreme. See my last
> attachment.

Got it, but you dont have to convince me, its up to the hebrew team to come to some agreement. :D

> How about if I opened a bug about adding the extra weights in after 72944 is
> resolved?

You could but i've been waiting 3 years so far since i joined for it to be fixed and dont see it being fixed anytime soon.
Comment 28 Yousuf Philips (jay) (retired) 2017-12-16 13:18:44 UTC
The hebrew team have been discussing the issue on the hebrew telegram group and each members preferences can be found in the google doc below.

https://docs.google.com/document/d/1r8N88R1sVB_My_mJoYjSUNqJWhB0kpuAnLqLbkNF2Bc/edit?usp=sharing
Comment 29 Commit Notification 2017-12-16 22:11:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4099b7628405e0ad16844eb59a916aa56ffa76ad

tdf#113538 Add Hebrew fonts into default installation

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Eyal Rozenberg 2017-12-17 00:40:34 UTC
(In reply to Commit Notification from comment #29)
Thank you, Yousuf, for all the coordination work on this and on the sister bug for Arabic - Toda Raba and Shukran Jazilan.
Comment 31 Commit Notification 2017-12-19 00:02:04 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2158c6ca2ba831665019827889f01e98dc93394

tdf#113538 New font order for hebrew fonts

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2017-12-20 07:14:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85e2a27409f184c8504e61163dc741a31ccc5186&h=libreoffice-6-0

tdf#113538 Add Hebrew fonts into default installation

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2018-01-06 21:21:19 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fa4794014fe98270f564bd8b1ca4d9c8f62e909&h=libreoffice-6-0

tdf#113538 New font order for hebrew fonts

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Yousuf Philips (jay) (retired) 2018-01-30 13:38:35 UTC
Just for references purposes, we did run a survey on twitter asking the community what they preferred as the default hebrew font.

https://twitter.com/liboDesign/status/925202481377923072
Comment 35 Commit Notification 2018-02-14 19:57:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cf22b64183a341429aafac82c6562f869bc7383

tdf#113538 David CLM has higher priority to David Libre

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2018-02-15 00:20:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d501ff5f866994a86f8c8d34a5a08ee5b739fa7e&h=libreoffice-6-0

tdf#113538 David CLM has higher priority to David Libre

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.